ARM64 builds? Topic is solved

Post Reply
apemberton
Posts: 73
Joined: 05.12.2017, 11:08
Location: West Hertfordshire, UK

ARM64 builds?

Post by apemberton » 12.01.2019, 10:27

I am using the Devuan ARM64 build 14727 (on Debian ARM64 with systemd) but this now seems to have gone from the Sunrise builds. Is it a permanent removal?

If ARM64 is not to be supported then some alternative arrangements will have to be made here.

Running the Rasbian 32 bit version on ARM64 architecture causes CP15 barrier deprecation problems and Rocrail (actually Rocview) will crash periodically and is thus not a solution. I believe that is due to the Rasbian kernel having to accomodate ARMv6 legacy which results in the mass of warnings in the syslog.

Code: Select all

Jan 11 21:45:59 RR1 kernel: [98346.923568] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
I don't want to run Ubuntu and in any case, there is no ARM64 Ubuntu build.

A possible solution is for me to build from source but at this time, I am not on the list nor subscribe to Github (or whatever is used).

rjversluis
Site Admin
Posts: 40970
Joined: 10.04.2006, 08:48
Location: Speyer, Germany
Contact:

Re: ARM64 builds?

Post by rjversluis » 12.01.2019, 10:42

Hi,

I will add the arm64 Devuan build today.

Do you have more information about this topic?
Running the Rasbian 32 bit version on ARM64 architecture causes CP15 barrier deprecation problems and Rocrail (actually Rocview) will crash periodically

rjversluis
Site Admin
Posts: 40970
Joined: 10.04.2006, 08:48
Location: Speyer, Germany
Contact:

Re: ARM64 builds?

Post by rjversluis » 12.01.2019, 12:11


apemberton
Posts: 73
Joined: 05.12.2017, 11:08
Location: West Hertfordshire, UK

Re: ARM64 builds?

Post by apemberton » 12.01.2019, 16:03

Thanks Rob, I will look forward to updating. I don't know how you and your team find the time to do all those updates, answer questions and add features.

Only a scan of google topics using the 'uses deprecated CP15 Barrier instruction at' search phrase pointed to this issue. It seems that many applications from 2014 onward have suffered this problem, not just Rocrail. It seems the Rpi has had more problems than others probably because having to maintain compatibility with older Rpi units in the field. (I have two of the original 2012 256M Rpi's acting as my network time servers!) As I said previously, the transition from 32bit to 64bit was never going to be easy.

Thanks again, Tony :beer:

apemberton
Posts: 73
Joined: 05.12.2017, 11:08
Location: West Hertfordshire, UK

Re: ARM64 builds?

Post by apemberton » 12.01.2019, 16:15

Further to the last, I don't have more info on the problem as yet.

I did note that my syslog was full of these warnings and that may have been overload writing them.

Code: Select all

Jan 11 21:45:11 RR1 kernel: [98298.296381] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5ed258
Jan 11 21:45:11 RR1 kernel: [98298.296553] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5ed258
Jan 11 21:45:46 RR1 kernel: [98334.135821] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
Jan 11 21:45:46 RR1 kernel: [98334.135985] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
Jan 11 21:45:46 RR1 kernel: [98334.136094] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
Jan 11 21:45:46 RR1 kernel: [98334.136224] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
Jan 11 21:45:46 RR1 kernel: [98334.136430] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
Jan 11 21:45:46 RR1 kernel: [98334.137049] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
Jan 11 21:45:46 RR1 kernel: [98334.145074] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
Jan 11 21:45:46 RR1 kernel: [98334.145409] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
Jan 11 21:45:46 RR1 kernel: [98334.145795] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
Jan 11 21:45:46 RR1 kernel: [98334.146341] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
Jan 11 21:45:59 RR1 kernel: [98346.920129] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5ed258
Jan 11 21:45:59 RR1 kernel: [98346.920340] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5ed258
Jan 11 21:45:59 RR1 kernel: [98346.923317] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
Jan 11 21:45:59 RR1 kernel: [98346.923461] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
Jan 11 21:45:59 RR1 kernel: [98346.923568] "rocview" (9788) uses deprecated CP15 Barrier instruction at 0x5eced4
A snippet of the errors. As can be seen, they are extremely frequent. I was actually using RR when the crash occurred.

I have downloaded your new Devuan version but not yet installed it. I had reverted to Devuan 14727 from the Raspbian 14821.

Thanks, Tony

Post Reply

Return to “Installation”